> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /grailed/users

> Get a Grailed seller profile by username, numeric user ID or profile URL

**Price:** 1 credit

**⚠️ Common errors:** 412: User not found



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/grailed/users
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/grailed/users:
    post:
      tags:
        - /grailed
      summary: /grailed/users
      description: |-
        Get a Grailed seller profile by username, numeric user ID or profile URL

        **Price:** 1 credit

        **⚠️ Common errors:** 412: User not found
      operationId: __api_grailed_users_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrailedUserPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GrailedUser'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GrailedUserPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        user:
          type: string
          minLength: 1
      type: object
      required:
        - user
    GrailedUser:
      properties:
        '@type':
          type: string
          default: GrailedUser
        id:
          type: integer
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        location_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        total_bought_and_sold:
          type: integer
          default: 0
        follower_count:
          type: integer
          default: 0
        following_count:
          type: integer
          default: 0
        listings_for_sale_count:
          type: integer
          default: 0
        departments:
          items:
            type: string
          type: array
          default: []
        buyer_score:
          anyOf:
            - $ref: '#/components/schemas/GrailedBuyerScore'
            - type: 'null'
        seller_score:
          anyOf:
            - $ref: '#/components/schemas/GrailedSellerScore'
            - type: 'null'
        is_verified:
          type: boolean
          default: false
        is_confirmed:
          type: boolean
          default: false
        is_trusted_seller:
          type: boolean
          default: false
        is_trusted_partner:
          type: boolean
          default: false
        is_managed_seller:
          type: boolean
          default: false
        is_speedy_shipper:
          type: boolean
          default: false
        is_quick_responder:
          type: boolean
          default: false
        is_admin:
          type: boolean
          default: false
        is_ops_agent:
          type: boolean
          default: false
        is_banned:
          type: boolean
          default: false
        is_deleted:
          type: boolean
          default: false
        duties_covered_by_seller:
          type: boolean
          default: false
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GrailedBuyerScore:
      properties:
        '@type':
          type: string
          default: GrailedBuyerScore
        purchase_count:
          type: integer
          default: 0
        would_sell_to_again_count:
          type: integer
          default: 0
      type: object
    GrailedSellerScore:
      properties:
        '@type':
          type: string
          default: GrailedSellerScore
        sold_count:
          type: integer
          default: 0
        rating_average:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          type: integer
          default: 0
        tags:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````